#import <AppKit/AppKit.h>

enum {
	MatchHTMLTagsCheckBoxRow = 0,
	SelectOutwardCheckBoxRow = 1,
	ParseHTMLCheckBoxRow = 2,
};

extern NSString *TAPreferencesDidChangeNotification;

@interface TAPreferencesController : NSWindowController
{
	IBOutlet NSMatrix *checkBoxMatrix;
	
	BOOL matchHTMLTags;
	BOOL selectOutward;
	BOOL parseHTML;
}

+ (id) sharedController;
- (IBAction)checkBoxMatrixAction:(id)sender;
- (void)readDefaults ;
- (BOOL) matchHTMLTags;
- (BOOL) selectOutward;
- (BOOL) parseHTML;

@end
