// TATextUtils.h
// Various Text Searching/Matching Utilities for TextAdditions
//
//
#import <AppKit/AppKit.h>
enum { TANotTag = -1, TAOpenTag, TACloseTag };
typedef struct {
	NSRange tagRange;
	NSRange matchingTagRange;
	NSMutableDictionary *tagInfo;
	NSString *name;
	BOOL deleteBetween;
	int	type;
} Tag;
NSRange TA_findMatchingTagForTagInString(Tag tag, NSString *string);
Tag TA_findFullRangeOfTagForRangeInString(NSRange selRange, NSString *string);
BOOL TA_isSingleTag(Tag tag);
NSRange TA_findBraceNextBrace(NSRange startRange, NSString *string);
void TA_ParseTagContents(Tag *tag, NSString *string);
BOOL TA_isWOAbleTag(Tag tag);
void TA_ConvertTagInfoToWebObjectsMapping(Tag *tag);
Tag TA_findNextWOAbleTagInStringFromRange(NSRange startRange, NSString *string);
void TA_parseHTMLStringToWebObject(NSString *string);
